import { BulletList as BulletListOriginal } from 'tiptap-extensions'
import { VuetifyIconsGroups } from '~/configs/theme'
import VuetifyIcon from '~/extensions/nativeExtensions/icons/VuetifyIcon'
import I18nText from '~/i18n/I18nText'
import AbstractExtension from '~/extensions/AbstractExtension'
import ExtensionActionInterface from '~/extensions/actions/ExtensionActionInterface'
import ExtensionActionRenderBtn from '~/extensions/actions/renders/btn/ExtensionActionRenderBtn.ts'

export default class BulletList extends AbstractExtension {
  constructor (options) {
    super(options, BulletListOriginal)
  }

  get availableActions (): ExtensionActionInterface[] {
    return [
      {
        render: new ExtensionActionRenderBtn({
          tooltip: new I18nText('extensions.BulletList.buttons.bulletList.tooltip'),
          icons: {
            [VuetifyIconsGroups.md]: new VuetifyIcon('format_list_bulleted'),
            [VuetifyIconsGroups.fa]: new VuetifyIcon('fas fa-list-ul'),
            [VuetifyIconsGroups.mdi]: new VuetifyIcon('mdi-format-list-bulleted'),
            [VuetifyIconsGroups.mdiSvg]: new VuetifyIcon('M7,5H21V7H7V5M7,13V11H21V13H7M4,4.5A1.5,1.5 0 0,1 5.5,6A1.5,1.5 0 0,1 4,7.5A1.5,1.5 0 0,1 2.5,6A1.5,1.5 0 0,1 4,4.5M4,10.5A1.5,1.5 0 0,1 5.5,12A1.5,1.5 0 0,1 4,13.5A1.5,1.5 0 0,1 2.5,12A1.5,1.5 0 0,1 4,10.5M7,19V17H21V19H7M4,16.5A1.5,1.5 0 0,1 5.5,18A1.5,1.5 0 0,1 4,19.5A1.5,1.5 0 0,1 2.5,18A1.5,1.5 0 0,1 4,16.5Z')
          },
          nativeExtensionName: 'bullet_list'
        })
      }
    ]
  }
}
